Skip to main content

Update generic credential properties

PATCH 

/nevisidm/api/core/v1/:clientExtId/users/:userExtId/generic-credentials/:extId/properties

Since: 2.73.0

Required permission(s): AccessControl.CredentialView,AccessControl.CredentialModify,AccessControl.PropertyView,AccessControl.PropertyValueView,AccessControl.PropertyAllowedValueView,AccessControl.PropertyValueCreate,AccessControl.PropertyValueDelete,AccessControl.PropertyValueModify or SelfAdmin Role

Updates the properties of the generic credential with the given external ID, belonging to the specified user. The body must contain an object of key-value property pairs. Only provided properties will be updated; other existing properties remain unchanged.

Supports self-admin mode, where an authenticated user can update properties of their own generic credential.

Request

Path Parameters

    clientExtId stringrequired

    External ID of the client.

    Example: client-123
    userExtId stringrequired

    External ID of the user.

    Example: user-123
    extId stringrequired

    External ID of the generic credential.

    Example: cred-123

Body

required
    property name* string

Responses

Properties updated successfully

Schema
    property name* string
Loading...